- NAME
- VERSION
- SYNOPSIS
- DESCRIPTION
- METHODS
  - Class Methods
    - callback
    - get_time
    - time_is_hires
    - get_times

# NAME

TAP::Base - Base class that provides common functionality to TAP::Parser and TAP::Harness

# VERSION

Version 3.38

# SYNOPSIS

        package TAP::Whatever;

        use base 'TAP::Base';

        # ... later ...

        my $thing = TAP::Whatever->new();

        $thing->callback( event => sub {
            # do something interesting
        } );

# DESCRIPTION

`TAP::Base` provides callback management.

# METHODS

## Class Methods

### `callback`

Install a callback for a named event.

### `get_time`

Return the current time using Time::HiRes if available.

### `time_is_hires`

Return true if the time returned by get_time is high resolution (i.e. if Time::HiRes is available).

### `get_times`

Return array reference of the four-element list of CPU seconds, as with "times" in perlfunc.